ChiliProject - Task # 1013: Switch Cl to Travis

Status: Closed Priority: Normal

Author: Felix Schéfer Category:

Created: 2012-05-11 Assignee:

Updated: 2012-05-14 Due date:

Remote issue URL:

Description: Finn has planned to discontinue ci.chiliproject.org in the future, | propose we move to TravisClI.
History

2012-05-11 09:07 pm - Felix Schéfer
- Assignee deleted (Felix Schéfer)

- Status changed from Open to Ready for review

See "pull request 191":https://github.com/chiliproject/chiliproject/pull/191.

Caveats wrt. current setup:

* As-is 1.9.3 doesn't work because of some gem (can't remember which) misbehaving and making rake exit with 1 more or less every time, also see
"this build":http://travis-ci.org/#!/thegcat/chiliproject/jobs/1308760/L1534

* No jruby yet, though I'd propose dropping it altogether until we have someone actively stepping up to support it,

* The unstable and stable branches aren't in there yet, but that's a trivial change.

2012-05-11 09:36 pm - Felix Schafer
I'd also propose creating an open mailing list we can send the Travis messages to.

2012-05-13 12:41 am - Jan Vinas

| was looking into Ruby 1.9.3 compatibility in Cl and from what | have found it could be Shoulda what breaks rake (see e.g. "Ruby 1.9.3 breaks rake
test":http://stackoverflow.com/questions/7957330/ruby-1-9-3-breaks-rake-test) &€ although "l have
run":https://github.com/jnv/engines/commit/906ee15651cb9ef4fcdd7d22089ea86e93074ef3 into similar problem with Engines. Anyway adding
@test-unit@ dependency have magically fixed 1.9.3 compatibility &€* http://travis-ci.org/jnv/chiliproject-fit

Maybe the test-unit could be a conditional dependency for MRI 1.9.37

2012-05-13 12:45 pm - Felix Schafer

Yeah, | had seen that, the 'test-unit' thing alleviates the problem but doesn't really solves it. A @rake ci:travis:prepare@ still outputs at the end:

<pre>

Started

Finished in 0.000226 seconds.

0 tests, 0 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0 notifications
0% passed

0.00 tests/s, 0.00 assertions/s

</pre>

2012-05-13 01:47 pm - Felix Schéfer

I've added a commit to the pull request to test on 1.9.3, though it's not a nice solution | don't mind having the unit-test dependency in the Gemfile.

2020-10-25 1/2




2012-05-14 09:20 am - Felix Schafer

- Status changed from Ready for review to Closed

| had already discussed the issue with Holger and he was fine with the solution so | merged the pull request and configured the Travis hook on Github
(with my token because Travis doesn't have organization tokens (yet)). The results are here: http://travis-ci.org/chiliproject/chiliproject/

2012-05-14 09:23 am - Felix Schéfer
- Tracker changed from Bug to Task
